#if !defined(AFX_DOCSLISTVIEW_H__328E11C4_DD9C_11D3_B871_DA44AA3E5A4B__INCLUDED_)
#define AFX_DOCSLISTVIEW_H__328E11C4_DD9C_11D3_B871_DA44AA3E5A4B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DocsListView.h : header file
//
#include "aplListView.h"
/////////////////////////////////////////////////////////////////////////////
// CDocsListView view

/////////////////////////////////////////////////////////////////////////////
class CDocsListView : public CaplListView
{
protected:
	CDocsListView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDocsListView)

// Attributes
public:
	CImageList m_ImageList;

// Operations
public:
	bool UpdateHeaders();
void UpdateTreeItem(CaplTreeItem *item);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDocsListView)
	public:
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CDocsListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CDocsListView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DOCSLISTVIEW_H__328E11C4_DD9C_11D3_B871_DA44AA3E5A4B__INCLUDED_)
